//
//  HistoryController+DataSourceDelegate.swift
//  calculator-coredata
//
//  Created by Илья Лошкарёв on 30.03.2018.
//  Copyright © 2018 SFEDU. All rights reserved.
//

import UIKit
extension HistoryController: DataStorageDelegate {
    
    func dataStorageWillChange<T>(_ storage: DataStorage<T>) {
        tableView.beginUpdates()
    }
    
    func dataStorage<T>(_ storage: DataStorage<T>, didInsertAt indexPath: IndexPath) {
        tableView.insertRows(at: [indexPath], with: .automatic)
    }
    
    func dataStorage<T>(_ storage: DataStorage<T>, didDeleteAt indexPath: IndexPath) {
        tableView.deleteRows(at: [indexPath], with: .automatic)
    }
    
    func dataStorageDidChange<T>(_ storage: DataStorage<T>) {
        tableView.endUpdates()
    }
}
