//
//  DataStorageDelegate.swift
//  calculator-coredata
//
//  Created by Илья Лошкарёв on 30.03.2018.
//  Copyright © 2018 SFEDU. All rights reserved.
//

import Foundation

/// Протокол представителя для источника данных
protocol DataStorageDelegate: class {
    
    /// Будет начато изменение данных
    func dataStorageWillChange<T>(_ storage: DataStorage<T>)
    
    /// Была совершена вставка
    func dataStorage<T>(_ storage: DataStorage<T>, didInsertAt indexPath: IndexPath)
    
    /// Было совершено удаление
    func dataStorage<T>(_ storage: DataStorage<T>, didDeleteAt indexPath: IndexPath)
    
    /// Завершено изменение данных
    func dataStorageDidChange<T>(_ storage: DataStorage<T>)
}
